package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.PosFood;

/**
 * foodService接口
 * 
 * @author ruoyi
 * @date 2023-05-21
 */
public interface IPosFoodService extends IService<PosFood>
{
    /**
     * 查询food
     * 
     * @param id food主键
     * @return food
     */
    public PosFood selectPosFoodById(Long id);

    /**
     * 查询food列表
     * 
     * @param posFood food
     * @return food集合
     */
    public List<PosFood> selectPosFoodList(PosFood posFood);

    /**
     * 新增food
     * 
     * @param posFood food
     * @return 结果
     */
    public int insertPosFood(PosFood posFood);

    /**
     * 修改food
     * 
     * @param posFood food
     * @return 结果
     */
    public int updatePosFood(PosFood posFood);

    /**
     * 批量删除food
     * 
     * @param ids 需要删除的food主键集合
     * @return 结果
     */
    public int deletePosFoodByIds(Long[] ids);

    /**
     * 删除food信息
     * 
     * @param id food主键
     * @return 结果
     */
    public int deletePosFoodById(Long id);
}
